%define	major		11
%define	libname		%mklibname raw1394_ %{major}
%define	develname	%mklibname raw1394 -d
%define staticname	%mklibname raw1394 -d -s

Name:		libraw1394
Version:	2.1.2
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://www.kernel.org/pub/linux/libs/ieee1394/%{name}-%{version}.tar.xz
URL:		http://sourceforge.net/projects/libraw1394/
Summary:	FireWire interface
Requires(post): coreutils

%description
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

%package -n	%{name}-utils
Group:		Communications/Serial
Summary:	Some small Firewire utilities

%description -n	%{name}-utils
This package contains a few utilities to send and receive raw data over
Firewire (ieee1394).

%package -n	%{libname}
Group:		System/Libraries
Summary:	FireWire interface shared library

%description -n %{libname}
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependency on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

This package contains the shared library to run applications linked
with %{name}.

%package -n	%{develname}
Summary:	Development and include files for libraw1394
Summary(pt_BR):	Arquivos de desenvolvimento e cabe?alhos para o libraw1394
Summary(es):	Development and include files for libraw1394
Group:		Development/C
Group(pt_BR):	Desenvolvimento
Group(es):	Desarrollo
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{mklibname raw1394_8 -d}

%description -n	%{develname}
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

This archive contains the header-files for libraw1394 development.


%package -n	%{staticname}
Summary:	Development components for libraw1394
Summary(pt_BR):	Componentes est?ticos de desenvolvimento para o libraw1394
Summary(es):	Development components for libraw1394
Group:		Development/C
Group(pt_BR):	Desenvolvimento
Group(es):	Desarrollo
Requires:	%{develname} = %{version}-%{release}
Conflicts:	%{mklibname raw1394_8 -d -s}

%description -n	%{staticname}
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

This archive contains the static libraries (.a) 


%prep
%setup -q

%build
%configure2_5x
%make

%install
%{makeinstall_std}
rm -f %{buildroot}%{_libdir}/*.la

%files -n %name-utils
%doc README AUTHORS
%{_bindir}/*
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/libraw1394.so.%{major}{,.*}

%files -n %{develname}
%doc README NEWS AUTHORS
%{_includedir}/libraw1394
%{_libdir}/libraw1394.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{staticname}
%{_libdir}/libraw1394.a


%changelog
* Mon Apr 11 2016 tv <tv> 2.1.2-1.mga6
+ Revision: 1000325
- new release

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.1.1-1.mga6
+ Revision: 917785
- 2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-4.mga5
+ Revision: 746641
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-3.mga5
+ Revision: 681745
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.1.0-2.mga4
+ Revision: 528589
- Mageia 4 Mass Rebuild

* Mon Jun 24 2013 fwang <fwang> 2.1.0-1.mga4
+ Revision: 446147
- new version 2.1.0

* Sat Jan 12 2013 umeabot <umeabot> 2.0.8-3.mga3
+ Revision: 358067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 2.0.8-2.mga3
+ Revision: 308467
- update RPM group

* Wed Mar 07 2012 tmb <tmb> 2.0.8-1.mga2
+ Revision: 221199
- Remove UTF-8 whitespace (P0)
- Fix incorrect use of == instead of = (P1)
- clean spec
- update to 2.0.8

  + tv <tv>
    - new release

* Thu Jan 13 2011 ahmad <ahmad> 2.0.6-2.mga1
+ Revision: 7799
- drop old/unneeded scriptlets
- imported package libraw1394

